apc_exists
apc_inc
APC Functions
PHP Manual

# apc_fetch

(PECL apc >= 3.0.0)

apc_fetch — Fetch a stored variable from the cache

### Description

mixed apc_fetch ( mixed `$key` [, bool `&$success` ] )

Fetchs a stored variable from the cache.

### Parameters

`key`

  The `key` used to store the value (with apc_store()). If an array is passed then each element is fetched and returned.

`success`

  Set to `TRUE` in success and `FALSE` in failure.

### Return Values

The stored variable or array of variables on success; `FALSE` on failure

### Examples

Example #1 A apc_fetch() example

`<?php
$bar = 'BAR';
apc_store('foo', $bar);
var_dump(apc_fetch('foo'));
?>`

The above example will output:

    string(3) "BAR"

### Changelog

Version | Description
--- | ---
3.0.17 | The `success` parameter was added.

### See Also

- apc_store() - Cache a variable in the data store
- apc_delete() - Removes a stored variable from the cache
- APCIterator

apc_exists
apc_inc
APC Functions
PHP Manual